from LoaderClass import GasSensorDataLoader
from TrainerClass import eNoseTrainer

import warnings
warnings.filterwarnings("ignore")

source_channels=["MQ 8", "MQ 9", "MQ 135", "TGS 813", "TGS 821", "TGS 2600", "TGS 2602", "TGS 2611-0", "TGS 2612", "TGS 2620"]
target_variables=['C2H2', 'CH4', 'C3H6', 'CO', 'C2H6', 'C3H8', 'C2H4', 'H2', 'O2']

eNoseLoader = GasSensorDataLoader("enose_dataset", threshold=0.85, source_channels=source_channels, target_list=target_variables, debug=True)


# Mostrar los dataset originales
eNoseLoader.smooth = None
eNoseLoader.reset()
eNoseLoader.plotRawdata()
eNoseLoader.plotScaledBoundaries()
eNoseLoader.smooth = 'conv3'
eNoseLoader.reset()
eNoseLoader.plotScaledBoundaries()

# Carga el Entrenador
eNose = eNoseTrainer(eNoseLoader, test_size=0.2, debug=False)

# Entrenar los modelos
# eNoseLoader.target_list=['H2', 'C2H2', 'CH4', 'C2H4', 'C2H6',]
# eNose.fit()
# eNoseLoader.target_list=['H2',]
# eNose.fit()|
# eNoseLoader.target_list=['C2H2',]
# eNose.fit()
# eNoseLoader.target_list=['CH4',]
# eNose.fit()
# eNoseLoader.target_list=['C2H4',]
# eNose.fit()
# eNoseLoader.target_list=['C2H6',]
# eNose.fit()
# eNose.wrap_and_save()

# Grafica las predicciones
eNose.gen_plots('Tabular','XGBRegressor_3', target=['H2', 'C2H2', 'CH4', 'C2H4', 'C2H6',])
#eNose.gen_plots('Tabular-conv3','XGBRegressor_4', target=['H2',])

eNose.gen_plots('Conv1D-w32-conv3','Conv1D_v1_1', target=['H2','C2H2', 'CH4', 'C2H4', 'C2H6',])
# eNose.gen_plots('Conv1D-w32-conv3','Conv1D_v1_2', target=['H2',])
#eNose.gen_plots('Conv1D-w32','Conv1D_v1_3', target=['H2', 'C2H2', 'CH4', 'C2H4', 'C2H6',])

# eNoseLoader.target_list=['H2', 'C2H2', 'CH4', 'C2H4', 'C2H6',]
# eNose.gen_plots('Tabular','XGBRegressor_1')
#
# eNoseLoader.target_list=['H2', 'C2H2', 'CH4', 'C2H4', 'C2H6',]
# eNose.gen_plots('Tabular-conv3','XGBRegressor_0')

# eNoseLoader.target_list=['H2',]
# eNose.gen_plots('Tabular-conv3','XGBRegressor_0')
